#!/usr/bin/gnuplot -persist
#  
#    	G N U P L O T
#    	Version 4.0 patchlevel 0


set terminal postscript enhanced
set output 'strahlungsformel.eps'
# set terminal x11



#unset key

set title "{/Symbol r} ( T=6000K, {/Symbol w} )"
set xlabel "{/Symbol w}  /  Hz"
set ylabel "{/Symbol r}  /  J/m^3"




hbar = 1.05457148e-34
c = 299800000.0
kb = 1.3806503e-23
T = 6000

rw(x) = (hbar * x**3)/(pi**2 * c**3) * exp(-(hbar*x)/(kb*T))
rp(x) = (hbar * x**3)/(pi**2 * c**3) * 1/(exp((hbar*x)/(kb*T))-1)
rr(x) = (x**2)/(pi**2 * c**3) * kb*T

set xrange [0:1e16]
set yrange [0:3e-16]

plot rp(x) title "Planck", rw(x) title "Wien", rr(x) title "Rayleigh-Jeans"
